"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.changedFiles = exports.commitIdOfLatestCommit = exports.commitIdOfLatestTag = exports.ERROR_MESSAGE_COMMIT_IDENTICAL = void 0;
const shelljs_1 = require("shelljs");
exports.ERROR_MESSAGE_COMMIT_IDENTICAL = 'Both commit is identical - No changed files!';
const commitIdOfLatestTag = () => {
    const tagName = shelljs_1.exec('git describe --tags --abbrev=0', { silent: true }).trimEnd();
    return shelljs_1.exec(`git rev-list -n 1 ${tagName}`, { silent: true }).trimEnd();
};
exports.commitIdOfLatestTag = commitIdOfLatestTag;
const commitIdOfLatestCommit = () => {
    return shelljs_1.exec(`git rev-parse HEAD`, { silent: true }).trimEnd();
};
exports.commitIdOfLatestCommit = commitIdOfLatestCommit;
const changedFiles = (commitId1, commitId2) => {
    if (commitId1 === commitId2) {
        throw new Error(exports.ERROR_MESSAGE_COMMIT_IDENTICAL);
    }
    const output = shelljs_1.exec(`git diff --name-only ${commitId1} ${commitId2}`, { silent: true }).trimEnd();
    return output.split('\n');
};
exports.changedFiles = changedFiles;
